integrit(1)

NAME
integrit - file integrity verification system This manpage is a brief reference and may be out of date. The definitive texinfo documentation should be viewable by running "info integrit".

SYNOPSIS
integrit -C conffile OPTIONS integrit -V integrit -h

OPTIONS

-C  Specify conffile as the configuration file for integrit.

-V  Show integrit version information and exit.

-h  Show brief help.

-x  Produce XML output.

-u  Do update - create a new database that reflects the current state of the system.

-c  Do check - compare the current state of the system to a database containing a snapshot of the system when it was in a known state.

-N  Manually override specification of the current ("New") database. Normally it is set in the configuration file.

-O  Manually override specification of the known ("Old") database. Normally it is set in the configuration file.

-q  Lower integrit's level of verbosity.

-v  Increase integrit's level of verbosity.

DESCRIPTION
The integrit system detects intrusion by detecting when trusted files have been altered. By creating an integrit database (update mode) that is a snapshot of a host system in a known state, the host's files can later be verified as unaltered by running integrit in check mode to compare current state to the recorded known state. integrit can do a check and an update simultaneously.

AUTHOR
Ed L Cashin <ecashin@users.sourceforge.net> See the integrit web site for up to date releases and information at
    http://integrit.sourceforge.net/

SEE ALSO
Integrit File Verification System Manual (info), lstat(2)